edu.sc.seis.sod.source.network

## Class LoadedNetworkSource

- java.lang.Object
- - edu.sc.seis.sod.source.AbstractSource
  - - edu.sc.seis.sod.source.network.AbstractNetworkSource
    - - edu.sc.seis.sod.source.network.WrappingNetworkSource
      - - edu.sc.seis.sod.source.network.LoadedNetworkSource

- All Implemented Interfaces:
    NetworkSource, Source

      public class LoadedNetworkSource
      extends WrappingNetworkSource
      implements NetworkSource

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.source.network.AbstractNetworkSource

      `constraints, REFRESH_ELEMENT, refreshInterval`

    - ### Fields inherited from class edu.sc.seis.sod.source.AbstractSource

      `name, NAME_ELEMENT, RETRIES_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadedNetworkSource(NetworkSource wrapped, java.util.List<? extends edu.iris.Fissures.network.StationImpl> allStations, edu.iris.Fissures.network.StationImpl sta)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<? extends edu.iris.Fissures.network.ChannelImpl>` | `getChannels(edu.iris.Fissures.network.StationImpl station)`
    `edu.iris.Fissures.IfNetwork.Instrumentation` | `getInstrumentation(edu.iris.Fissures.network.ChannelImpl chan)`
    `edu.iris.Fissures.model.QuantityImpl` | `getSensitivity(edu.iris.Fissures.network.ChannelImpl chan)`
    `java.util.List<? extends edu.iris.Fissures.network.StationImpl>` | `getStations(edu.iris.Fissures.network.NetworkAttrImpl net)`
    `boolean` | `isInstrumentationLoaded(edu.iris.Fissures.IfNetwork.ChannelId chan)`

    - ### Methods inherited from class edu.sc.seis.sod.source.network.WrappingNetworkSource

      `getName, getNetwork, getNetworkByName, getNetworks, getRefreshInterval, getWrapped, setConstraints`

    - ### Methods inherited from class edu.sc.seis.sod.source.AbstractSource

      `appendToName, getFissuresNamingService, getRetries, getRetryStrategy, setRetryStrategy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.source.network.NetworkSource

      `getNetwork, getNetworkByName, getNetworks, getRefreshInterval, getRetries, getRetryStrategy, setConstraints`

    - ### Methods inherited from interface edu.sc.seis.sod.source.Source

      `appendToName, getName`

- - ### Constructor Detail

    - #### LoadedNetworkSource

          public LoadedNetworkSource(NetworkSource wrapped,
                                     java.util.List<? extends edu.iris.Fissures.network.StationImpl> allStations,
                                     edu.iris.Fissures.network.StationImpl sta)

  - ### Method Detail

    - #### getChannels

          public java.util.List<? extends edu.iris.Fissures.network.ChannelImpl> getChannels(edu.iris.Fissures.network.StationImpl station)
                                                                                      throws SodSourceException

      Specified by:
        `getChannels` in interface `NetworkSource`
      Overrides:
        `getChannels` in class `WrappingNetworkSource`
      Throws:
        `SodSourceException`

    - #### getInstrumentation

          public edu.iris.Fissures.IfNetwork.Instrumentation getInstrumentation(edu.iris.Fissures.network.ChannelImpl chan)
                                                                         throws edu.iris.Fissures.IfNetwork.ChannelNotFound,
                                                                                edu.sc.seis.fissuresUtil.sac.InvalidResponse,
                                                                                SodSourceException

      Specified by:
        `getInstrumentation` in interface `NetworkSource`
      Overrides:
        `getInstrumentation` in class `WrappingNetworkSource`
      Throws:
        `edu.iris.Fissures.IfNetwork.ChannelNotFound`
        `edu.sc.seis.fissuresUtil.sac.InvalidResponse`
        `SodSourceException`

    - #### getSensitivity

          public edu.iris.Fissures.model.QuantityImpl getSensitivity(edu.iris.Fissures.network.ChannelImpl chan)
                                                              throws edu.iris.Fissures.IfNetwork.ChannelNotFound,
                                                                     edu.sc.seis.fissuresUtil.sac.InvalidResponse,
                                                                     SodSourceException

      Specified by:
        `getSensitivity` in interface `NetworkSource`
      Overrides:
        `getSensitivity` in class `WrappingNetworkSource`
      Throws:
        `edu.iris.Fissures.IfNetwork.ChannelNotFound`
        `edu.sc.seis.fissuresUtil.sac.InvalidResponse`
        `SodSourceException`

    - #### getStations

          public java.util.List<? extends edu.iris.Fissures.network.StationImpl> getStations(edu.iris.Fissures.network.NetworkAttrImpl net)
                                                                                      throws SodSourceException

      Specified by:
        `getStations` in interface `NetworkSource`
      Overrides:
        `getStations` in class `WrappingNetworkSource`
      Throws:
        `SodSourceException`

    - #### isInstrumentationLoaded

          public boolean isInstrumentationLoaded(edu.iris.Fissures.IfNetwork.ChannelId chan)